> ## Documentation Index
> Fetch the complete documentation index at: https://docs.roostedhr.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Edit Worker Time Punch

> Update a worker time punch.



## OpenAPI

````yaml api-reference/v01.12.00/openapi-v01.12.00.json PATCH /workers/{id}/time-punches/{punch_id}
openapi: 3.0.0
info:
  title: Roosted
  version: 0.1.12
  contact:
    name: Support
    url: https://support.roostedhr.com/support/home
    email: support@roostedhr.com
  description: |-
    Enterprise API

    Sandbox keys and Production keys are requested from support
servers:
  - url: https://api.roostedhr.com/api/1_12
  - url: https://sandbox.roostedhr.com/api/1_12
security:
  - X-API-KEY: []
tags:
  - name: Announcements
  - name: Areas
  - name: Clients
  - name: Company
  - name: Configuration
  - name: Events
  - name: Locations
  - name: Payroll Groups
  - name: Rate Cards
  - name: Shifts
  - name: Skillsets
  - name: Time Tracking
  - name: Wage Rules
  - name: Workers
paths:
  /workers/{id}/time-punches/{punch_id}:
    parameters:
      - schema:
          type: string
        name: id
        in: path
        required: true
        description: Worker ID
      - schema:
          type: string
        name: punch_id
        in: path
        required: true
        description: Time Punch ID
    patch:
      tags:
        - Workers
      summary: Edit Worker Time Punch
      description: Update a worker time punch.
      operationId: patch-worker-time-punch
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                punch_datetime:
                  type: string
                  format: date-time
                  description: Updated punch datetime.
                  example: '2026-03-17 10:30:00'
                erf_id:
                  type: string
                  description: Shift assignment ID to associate this punch with.
        description: Fields to update on the time punch
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: boolean
              examples:
                Time punch updated:
                  value: true
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    description: Machine-readable error code.
                  error:
                    type: string
                    description: Human-readable error message.
              examples:
                Invalid update data:
                  value:
                    code: WRK-2900
                    error: Invalid update data
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    description: Machine-readable error code.
                  error:
                    type: string
                    description: Human-readable error message.
              examples:
                Invalid or missing API key:
                  value:
                    code: ATH-100
                    error: Invalid or missing API key
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    description: Machine-readable error code.
                  error:
                    type: string
                    description: Human-readable error message.
              examples:
                Insufficient permissions to edit worker time punch:
                  value:
                    code: WRK-2500
                    error: Insufficient permissions to edit worker time punch
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    description: Machine-readable error code.
                  error:
                    type: string
                    description: Human-readable error message.
              examples:
                Worker not found:
                  value:
                    code: WRK-300
                    error: Worker not found
                Time punch not found:
                  value:
                    code: WRK-2800
                    error: Time punch not found
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    description: Machine-readable error code.
                  error:
                    type: string
                    description: Human-readable error message.
              examples:
                An unexpected error occurred:
                  value:
                    code: WRK-2600
                    error: An unexpected error occurred
components:
  securitySchemes:
    X-API-KEY:
      name: X-API-KEY
      type: apiKey
      in: header

````